.sticky-contact-btns{
    position: fixed;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 30px);
    max-width: 420px;
    display: flex;
    gap: 12px;
    z-index: 99999;
}

.sticky-btn{
    flex: 1;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 14px 15px;
    border-radius: 14px;
    font-size: 18px;
    font-weight: 600;
    color: #fff;
    position: relative;
    overflow: hidden;
    box-shadow: 0px 10px 30px rgba(0,0,0,0.25);
    transition: 0.25s ease;
}

.sticky-btn i{
    position: relative;
    z-index: 2;
}

.sticky-btn::before{
    content:"";
    position:absolute;
    top:0;
    left:-100%;
    width:300%;
    height:100%;
    background: linear-gradient(
        90deg,
        rgba(255,255,255,0.25),
        rgba(255,255,255,0.05),
        rgba(255,255,255,0.25)
    );
    animation: waveMove 2.5s linear infinite;
}

.call-btn{
    background: linear-gradient(135deg, #00c853, #009624);
}
.mail-btn{
    background: linear-gradient(135deg, #2979ff, #0d47a1);
}

.sticky-btn:hover{
    transform: translateY(-3px);
    box-shadow: 0px 15px 40px rgba(0,0,0,0.30);
    color: #ffffff;
}


@keyframes waveMove{
    0%{ left:-100%; }
    100%{ left:0%; }
}

@media (min-width: 992px){
    .sticky-contact-btns{
        position: fixed;
        left: auto;
        right: 40px;
        bottom: 30%;
        transform: translateY(50%);
        width: auto;
        max-width: none;
        flex-direction: column;
        gap: 14px;
    }

    .sticky-btn{
        flex: none;
        width: 60px;
        height: 60px;
        padding: 0;
        border-radius: 50%;
        font-size: 20px;
    }
}